net.minecraft.client.texturepacks

## Class TexturePackImplementation

- java.lang.Object
- - net.minecraft.client.texturepacks.TexturePackImplementation

- All Implemented Interfaces:
    ITexturePack
  Direct Known Subclasses:
    TexturePackCustom, TexturePackDefault, TexturePackFolder

      public abstract class TexturePackImplementation
      extends Object
      implements ITexturePack

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bindThumbnailTexture(RenderEngine par1RenderEngine)` Bind the texture id of the pack's thumbnail image, loading it if necessary.
    `void` | `deleteTexturePack(RenderEngine par1RenderEngine)` Delete the OpenGL texture id of the pack's thumbnail image, and close the zip file in case of TexturePackCustom.
    `InputStream` | `func_98137_a(String par1Str, boolean par2)`
    `boolean` | `func_98138_b(String par1Str, boolean par2)`
    `abstract boolean` | `func_98140_c(String s)`
    `String` | `getFirstDescriptionLine()` Get the first line of the texture pack description (read from the pack.txt file)
    `InputStream` | `getResourceAsStream(String par1Str)` Gives a texture resource as InputStream.
    `String` | `getSecondDescriptionLine()` Get the second line of the texture pack description (read from the pack.txt file)
    `String` | `getTexturePackFileName()` Get the file name of the texture pack, or Default if not from a custom texture pack
    `String` | `getTexturePackID()` Get the texture pack ID

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.client.texturepacks.ITexturePack

      `func_94179_g`

- - ### Method Detail

    - #### func_98137_a

          public InputStream func_98137_a(String par1Str,
                                 boolean par2)
                                   throws IOException

      Specified by:
        `func_98137_a` in interface `ITexturePack`
      Throws:
        `IOException`

    - #### getResourceAsStream

          public InputStream getResourceAsStream(String par1Str)
                                          throws IOException

      Gives a texture resource as InputStream.
      Specified by:
        `getResourceAsStream` in interface `ITexturePack`
      Throws:
        `IOException`

    - #### deleteTexturePack

          public void deleteTexturePack(RenderEngine par1RenderEngine)

      Delete the OpenGL texture id of the pack's thumbnail image, and close the zip file in case of TexturePackCustom.
      Specified by:
        `deleteTexturePack` in interface `ITexturePack`

    - #### bindThumbnailTexture

          public void bindThumbnailTexture(RenderEngine par1RenderEngine)

      Bind the texture id of the pack's thumbnail image, loading it if necessary.
      Specified by:
        `bindThumbnailTexture` in interface `ITexturePack`

    - #### func_98138_b

          public boolean func_98138_b(String par1Str,
                             boolean par2)

      Specified by:
        `func_98138_b` in interface `ITexturePack`

    - #### func_98140_c

          public abstract boolean func_98140_c(String s)

    - #### getTexturePackID

          public String getTexturePackID()

      Get the texture pack ID
      Specified by:
        `getTexturePackID` in interface `ITexturePack`

    - #### getTexturePackFileName

          public String getTexturePackFileName()

      Get the file name of the texture pack, or Default if not from a custom texture pack
      Specified by:
        `getTexturePackFileName` in interface `ITexturePack`

    - #### getFirstDescriptionLine

          public String getFirstDescriptionLine()

      Get the first line of the texture pack description (read from the pack.txt file)
      Specified by:
        `getFirstDescriptionLine` in interface `ITexturePack`

    - #### getSecondDescriptionLine

          public String getSecondDescriptionLine()

      Get the second line of the texture pack description (read from the pack.txt file)
      Specified by:
        `getSecondDescriptionLine` in interface `ITexturePack`